import { Map } from 'immutable';
import mergeChildReducers from './merge-child-reducers';

//a helper to merge a bunch of reducers together with no shared root state
//simpler version of mergeChildReducers for when the parent does nothing (like app root)

export default function combineReducers(childMap) {
  return function () {
    for (var _len = arguments.length, args = Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
      args[_key - 2] = arguments[_key];
    }

    var rootState = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : Map();
    var action = arguments[1];

    return mergeChildReducers.apply(undefined, [rootState, action, childMap].concat(args));
  };
}